> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tally.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Drop-off

> Returns per-question drop-off statistics for a form.



## OpenAPI

````yaml GET /forms/{formId}/analytics/drop-off
openapi: 3.0.1
info:
  title: OpenAPI
  description: Tally's API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tally.so
security:
  - bearerAuth: []
paths:
  /forms/{formId}/analytics/drop-off:
    get:
      tags:
        - Forms
      summary: Retrieve form drop-off
      description: Returns per-question drop-off statistics for a form.
      parameters:
        - name: formId
          in: path
          required: true
          description: The ID of the form
          schema:
            type: string
        - name: period
          in: query
          required: true
          description: Time period for the analytics data
          schema:
            type: string
            enum:
              - today
              - yesterday
              - 24h
              - 7d
              - 30d
              - 3m
              - 6m
              - 12m
              - all
      responses:
        '200':
          description: Form drop-off analytics
          content:
            application/json:
              schema:
                type: object
                properties:
                  stats:
                    type: object
                    properties:
                      totalVisitors:
                        type: number
                      formStarts:
                        type: number
                      formCompletes:
                        type: number
                      completionRate:
                        type: number
                      completionTimeInSeconds:
                        type: number
                      visitDurationInSeconds:
                        type: number
                  dataAvailableSince:
                    type: string
                    format: date-time
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        blockGroupUuid:
                          type: string
                        views:
                          type: number
                        startedViews:
                          type: number
                        answers:
                          type: number
                        drops:
                          type: number
                        title:
                          type: string
                        type:
                          type: string
                        answerRate:
                          type: number
                        dropRate:
                          type: number
                        isRequired:
                          type: boolean
                  hasConditionalLogic:
                    type: boolean
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Form not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````